package com.eactive.eai.batch.scheduler;

import java.io.Serializable;

public class JobProcessingVO implements Serializable {

	private static final long serialVersionUID = 1L;

	private String bjobDmndMsgID;
	private String bjobDmndSubMsgID;
	private int    telgmReTralCnt;
	private String sysLnkgDstcd;
	private String bjobDmndMsgCretnHMS;
	private String bjobMsgScheID;
	private String bjobBzwkDstcd;
	private String osidInstiDstcd;
	private String bjobPtrnDstcd;
	private String sndrcvStartHMS;
	private String sndrcvEndHMS;
	private String sndrcvFileDirName;
	private String sndrcvFileName;
	private String bkupSndrcvFileName;
	private int    msgPrcssPrity;
	private String thisMsgAmndrID;
	private String thisMsgAmndHMS;
	private String msgQueEtractDmndHMS;
	private String msgPrcssStusCd;
	public String getBjobDmndMsgID() {
		return bjobDmndMsgID;
	}
	public void setBjobDmndMsgID(String bjobDmndMsgID) {
		this.bjobDmndMsgID = bjobDmndMsgID;
	}
	public String getBjobDmndSubMsgID() {
		return bjobDmndSubMsgID;
	}
	public void setBjobDmndSubMsgID(String bjobDmndSubMsgID) {
		this.bjobDmndSubMsgID = bjobDmndSubMsgID;
	}
	public int getTelgmReTralCnt() {
		return telgmReTralCnt;
	}
	public void setTelgmReTralCnt(int telgmReTralCnt) {
		this.telgmReTralCnt = telgmReTralCnt;
	}
	public String getSysLnkgDstcd() {
		return sysLnkgDstcd;
	}
	public void setSysLnkgDstcd(String sysLnkgDstcd) {
		this.sysLnkgDstcd = sysLnkgDstcd;
	}
	public String getBjobDmndMsgCretnHMS() {
		return bjobDmndMsgCretnHMS;
	}
	public void setBjobDmndMsgCretnHMS(String bjobDmndMsgCretnHMS) {
		this.bjobDmndMsgCretnHMS = bjobDmndMsgCretnHMS;
	}
	public String getBjobMsgScheID() {
		return bjobMsgScheID;
	}
	public void setBjobMsgScheID(String bjobMsgScheID) {
		this.bjobMsgScheID = bjobMsgScheID;
	}
	public String getBjobBzwkDstcd() {
		return bjobBzwkDstcd;
	}
	public void setBjobBzwkDstcd(String bjobBzwkDstcd) {
		this.bjobBzwkDstcd = bjobBzwkDstcd;
	}
	public String getOsidInstiDstcd() {
		return osidInstiDstcd;
	}
	public void setOsidInstiDstcd(String osidInstiDstcd) {
		this.osidInstiDstcd = osidInstiDstcd;
	}
	public String getBjobPtrnDstcd() {
		return bjobPtrnDstcd;
	}
	public void setBjobPtrnDstcd(String bjobPtrnDstcd) {
		this.bjobPtrnDstcd = bjobPtrnDstcd;
	}
	public String getSndrcvStartHMS() {
		return sndrcvStartHMS;
	}
	public void setSndrcvStartHMS(String sndrcvStartHMS) {
		this.sndrcvStartHMS = sndrcvStartHMS;
	}
	public String getSndrcvEndHMS() {
		return sndrcvEndHMS;
	}
	public void setSndrcvEndHMS(String sndrcvEndHMS) {
		this.sndrcvEndHMS = sndrcvEndHMS;
	}
	public String getSndrcvFileDirName() {
		return sndrcvFileDirName;
	}
	public void setSndrcvFileDirName(String sndrcvFileDirName) {
		this.sndrcvFileDirName = sndrcvFileDirName;
	}
	public String getSndrcvFileName() {
		return sndrcvFileName;
	}
	public void setSndrcvFileName(String sndrcvFileName) {
		this.sndrcvFileName = sndrcvFileName;
	}
	public String getBkupSndrcvFileName() {
		return bkupSndrcvFileName;
	}
	public void setBkupSndrcvFileName(String bkupSndrcvFileName) {
		this.bkupSndrcvFileName = bkupSndrcvFileName;
	}
	public int getMsgPrcssPrity() {
		return msgPrcssPrity;
	}
	public void setMsgPrcssPrity(int msgPrcssPrity) {
		this.msgPrcssPrity = msgPrcssPrity;
	}
	public String getThisMsgAmndrID() {
		return thisMsgAmndrID;
	}
	public void setThisMsgAmndrID(String thisMsgAmndrID) {
		this.thisMsgAmndrID = thisMsgAmndrID;
	}
	public String getThisMsgAmndHMS() {
		return thisMsgAmndHMS;
	}
	public void setThisMsgAmndHMS(String thisMsgAmndHMS) {
		this.thisMsgAmndHMS = thisMsgAmndHMS;
	}
	public String getMsgQueEtractDmndHMS() {
		return msgQueEtractDmndHMS;
	}
	public void setMsgQueEtractDmndHMS(String msgQueEtractDmndHMS) {
		this.msgQueEtractDmndHMS = msgQueEtractDmndHMS;
	}
	public String getMsgPrcssStusCd() {
		return msgPrcssStusCd;
	}
	public void setMsgPrcssStusCd(String msgPrcssStusCd) {
		this.msgPrcssStusCd = msgPrcssStusCd;
	}
	@Override
	public String toString() {
		return "JobProcessingVO [bjobDmndMsgID=" + bjobDmndMsgID
				+ ", bjobDmndSubMsgID=" + bjobDmndSubMsgID
				+ ", telgmReTralCnt=" + telgmReTralCnt + ", sysLnkgDstcd="
				+ sysLnkgDstcd + ", bjobDmndMsgCretnHMS=" + bjobDmndMsgCretnHMS
				+ ", bjobMsgScheID=" + bjobMsgScheID + ", bjobBzwkDstcd="
				+ bjobBzwkDstcd + ", osidInstiDstcd=" + osidInstiDstcd
				+ ", bjobPtrnDstcd=" + bjobPtrnDstcd + ", sndrcvStartHMS="
				+ sndrcvStartHMS + ", sndrcvEndHMS=" + sndrcvEndHMS
				+ ", sndrcvFileDirName=" + sndrcvFileDirName
				+ ", sndrcvFileName=" + sndrcvFileName
				+ ", bkupSndrcvFileName=" + bkupSndrcvFileName
				+ ", msgPrcssPrity=" + msgPrcssPrity + ", thisMsgAmndrID="
				+ thisMsgAmndrID + ", thisMsgAmndHMS=" + thisMsgAmndHMS
				+ ", msgQueEtractDmndHMS=" + msgQueEtractDmndHMS
				+ ", msgPrcssStusCd=" + msgPrcssStusCd + "]";
	}
}
